Kerbal Space Program - Bug #426

Mouse-hover and text editing issues in 0.19 and 0.18.4
03/17/2013 10:43 AM - exegesis

Status: Closed Start date: 03/17/2013
Severity: Normal % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.19 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

With the move to the new unity engine, I've been experiencing a few problems, which are probably related and seem to be
mac-caused.

The first is that, in-game, the Ul fails to respond to being hovered-over by the mouse unless either mouse button is pressed
continuously. This includes periapsis/apoapsis markers, Kerbal portraits' EVA and IVA buttons, and maneuver nodes.

The second issue is this: When in the VAB or SPH, the name of the vessel cannot be edited, deleted or otherwise changed, which
means a single vessel is all that can be saved at one time (without editing filenames.)

(I talked a bit about both these issues on this post:
http://forum.kerbalspaceprogram.com/showthread.php/42492-18-4-problems-Can-t-edit-vessel-names-in-VAB-can-t-hover-over-witho

ut-right-clicki )

My specs are:

Mac os 10.6.8
NVIDIA GeForce GT 330M:

History

#1 - 03/20/2013 12:16 AM - Chordnine

| can confirm that this is also happening on my machine. It appears to fix itself when returning to windowed mode, though it is severely detrimental to
gameplay. Began with 0.18.4 on my end -0.18.2 was fine.

MacBook Pro 1,1 (2006)
Mac OSX 10.6.8
ATl RadeonX1600

Chordnine
#2 - 04/23/2013 02:25 AM - Nekura

- Status changed from New to Confirmed

- % Done changed from 0 to 10

| can also confirm these two issues (though | hadn't tried the windowed mode fix... good to know!). My specs:

Mac OS X 10.6.8
MacBook (2009)
NVIDIA GeForce 9400M

#3 - 04/23/2013 02:28 AM - Nekura
| didn't realize choosing 'Confirmed’ would update the official listing (I thought it was just to state that | could confirm the bug). | can't change it back

now, so.. sorry about that. :/

#4 - 11/19/2013 12:47 PM - sr
- Platform OSX added
No problem - if you can confirm the described behavior, then the bug is confirmed :)

#5 - 07/17/2016 09:23 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#6 - 08/07/2016 05:16 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For best
results, the wiki contains really useful info for when creating a report http://bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
